Bug 910262 - [abrt] polkit-0.107-4.fc18: js::PropertyTable::search: Process /usr/lib/polkit-1/polkitd was killed by signal 11 (SIGSEGV)
Summary: [abrt] polkit-0.107-4.fc18: js::PropertyTable::search: Process /usr/lib/polki...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: polkit
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:4eec0f34a81f6856161a5e52848...
: 1047404 1048296 1086558 1095484 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-12 08:20 UTC by eran.borovik
Modified: 2019-07-11 07:39 UTC (History)
41 users (show)

Fixed In Version: polkit-0.113-4.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-13 19:08:31 UTC


Attachments (Terms of Use)
File: backtrace (42.86 KB, text/plain)
2013-02-12 08:20 UTC, eran.borovik
no flags Details
File: cgroup (158 bytes, text/plain)
2013-02-12 08:20 UTC, eran.borovik
no flags Details
File: core_backtrace (2.46 KB, text/plain)
2013-02-12 08:20 UTC, eran.borovik
no flags Details
File: dso_list (2.49 KB, text/plain)
2013-02-12 08:20 UTC, eran.borovik
no flags Details
File: environ (169 bytes, text/plain)
2013-02-12 08:20 UTC, eran.borovik
no flags Details
File: limits (1.29 KB, text/plain)
2013-02-12 08:21 UTC, eran.borovik
no flags Details
File: maps (13.28 KB, text/plain)
2013-02-12 08:21 UTC, eran.borovik
no flags Details
File: open_fds (322 bytes, text/plain)
2013-02-12 08:21 UTC, eran.borovik
no flags Details
File: proc_pid_status (905 bytes, text/plain)
2013-02-12 08:21 UTC, eran.borovik
no flags Details
File: smolt_data (2.73 KB, text/plain)
2013-02-12 08:21 UTC, eran.borovik
no flags Details
File: var_log_messages (396 bytes, text/plain)
2013-02-12 08:21 UTC, eran.borovik
no flags Details
packages installed/updated at around the time of the first occurrence (2.43 KB, text/plain)
2013-07-15 13:07 UTC, Jan Pokorný [poki]
no flags Details
var log messages of polkitd segv (10.94 KB, text/plain)
2015-02-19 14:06 UTC, EMR_Fedora
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 69501 None None None Never
Red Hat Bugzilla 1175061 None CLOSED [abrt] polkit: js::ShapeTable::search(): polkitd killed by SIGSEGV 2019-04-01 13:36:45 UTC

Internal Links: 1175061

Description eran.borovik 2013-02-12 08:20:44 UTC
Description of problem:
Didn't do anything, just worked

Version-Release number of selected component:
polkit-0.107-4.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/lib/polkit-1/polkitd --no-debug
crash_function: js::PropertyTable::search
executable:     /usr/lib/polkit-1/polkitd
kernel:         3.7.2-204.fc18.x86_64
remote_result:  NOTFOUND
uid:            990

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 js::PropertyTable::search at jsscope.cpp:308
 #1 search at jsscope.h:882
 #2 nativeSearch at jsscope.h:692
 #3 nativeLookup at jsscope.h:699
 #4 js_LookupPropertyWithFlagsInline at jsobj.cpp:4960
 #5 js_GetPropertyHelperWithShapeInline at jsobj.cpp:5354
 #6 js_GetPropertyHelperInline at jsobj.cpp:5457
 #7 js_GetPropertyHelper at jsobj.cpp:5463
 #8 js::Interpret at jsinterp.cpp:4214
 #9 js::RunScript at jsinterp.cpp:653

Comment 1 eran.borovik 2013-02-12 08:20:48 UTC
Created attachment 696390 [details]
File: backtrace

Comment 2 eran.borovik 2013-02-12 08:20:51 UTC
Created attachment 696391 [details]
File: cgroup

Comment 3 eran.borovik 2013-02-12 08:20:54 UTC
Created attachment 696392 [details]
File: core_backtrace

Comment 4 eran.borovik 2013-02-12 08:20:56 UTC
Created attachment 696393 [details]
File: dso_list

Comment 5 eran.borovik 2013-02-12 08:20:59 UTC
Created attachment 696394 [details]
File: environ

Comment 6 eran.borovik 2013-02-12 08:21:03 UTC
Created attachment 696395 [details]
File: limits

Comment 7 eran.borovik 2013-02-12 08:21:06 UTC
Created attachment 696396 [details]
File: maps

Comment 8 eran.borovik 2013-02-12 08:21:09 UTC
Created attachment 696397 [details]
File: open_fds

Comment 9 eran.borovik 2013-02-12 08:21:12 UTC
Created attachment 696398 [details]
File: proc_pid_status

Comment 10 eran.borovik 2013-02-12 08:21:14 UTC
Created attachment 696399 [details]
File: smolt_data

Comment 11 eran.borovik 2013-02-12 08:21:17 UTC
Created attachment 696400 [details]
File: var_log_messages

Comment 12 Miloslav Trmač 2013-02-13 13:57:31 UTC
Thanks for your report.  I'm afraid the backtrace doesn't show any obvious cause of the problem.

Can you reproduce the crash?  (If it helps, it happened while changing something related to networking.)

Do you have any custom polkit configuration?  Could you attach the output of
> ls -l /usr/share/polkit-1/rules.d/ /etc/polkit-1/rules.d/
please?

Comment 13 eran.borovik 2013-02-14 06:17:18 UTC
Hi,

This thing happens to me all the time, I cannot yet pinpoint when exactly.

Here is the output required:
ls -l /usr/share/polkit-1/rules.d/ /etc/polkit-1/rules.d/
/etc/polkit-1/rules.d/:
total 4
-rw-r--r--. 1 root root 326 Oct 10 15:48 50-default.rules

/usr/share/polkit-1/rules.d/:
total 8
-rw-r--r--. 1 root root 443 Oct 12 18:19 11-fedora-kde-policy.rules
-rw-r--r--. 1 root root 236 Nov 14 18:28 gnome-control-center.rules

Please let me know if you need anything else.

Comment 14 Jan Pokorný [poki] 2013-07-15 13:01:57 UTC
Just noticed these items in /var/log/messages, very similar to
[comment 11]:

> Jul 10 19:30:01 juicyfruit kernel: [200082.785267] polkitd[2272]:
>   segfault at 41da50 ip 0000003ab115a17c sp 00007fff30273680 error 4
>   in libmozjs185.so.1.0.0[3ab1000000+317000]
> Jul 12 14:50:19 juicyfruit kernel: [356142.509706] polkitd[5524]:
>   segfault at 41da50 ip 0000003ab115a17c sp 00007fff37d45800 error 4
>   in libmozjs185.so.1.0.0[3ab1000000+317000]
> Jul 14 07:10:01 juicyfruit kernel: [501364.143486] polkitd[22336]:
>   segfault at 41da50 ip 0000003ab115a17c sp 00007fff142f4920 error 4
>   in libmozjs185.so.1.0.0[3ab1000000+317000]

Jul 10 seems to be the first occurrence as per limited messages history.


Each of the mentioned occurrence was surrounded by other messages that
are more likely a consequence, though;  for instance:

> Jul 14 07:10:01 juicyfruit kernel: [501364.143486] polkitd[22336]:
>   segfault at 41da50 ip 0000003ab115a17c sp 00007fff142f4920 error 4
>   in libmozjs185.so.1.0.0[3ab1000000+317000]
> Jul 14 07:10:01 juicyfruit NetworkManager[719]: <warn> error requesting
>   auth for org.freedesktop.NetworkManager.settings.modify.hostname: (4)
>   GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive
>   a reply (timeout by message bus)
> Jul 14 07:10:01 juicyfruit NetworkManager[719]: <warn> error requesting
>   auth for org.freedesktop.NetworkManager.settings.modify.own: (4)
>   GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive
>   a reply (timeout by message bus)
> Jul 14 07:10:01 juicyfruit NetworkManager[719]: <warn> error requesting
>   auth for org.freedesktop.NetworkManager.settings.modify.system: (4)
>   GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive
>   a reply (timeout by message bus)
> Jul 14 07:10:01 juicyfruit NetworkManager[719]: <warn> error requesting
>   auth for org.freedesktop.NetworkManager.wifi.share.open: (4)
>   GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive
>   a reply (timeout by message bus)
> Jul 14 07:10:01 juicyfruit NetworkManager[719]: <warn> error requesting
>   auth for org.freedesktop.NetworkManager.wifi.share.protected: (4)
>   GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive
>   a reply (timeout by message bus)
> Jul 14 07:10:01 juicyfruit NetworkManager[719]: <warn> error requesting
>   auth for org.freedesktop.NetworkManager.network-control: (4)
>   GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive
>   a reply (timeout by message bus)
> Jul 14 07:10:01 juicyfruit NetworkManager[719]: <warn> error requesting
>   auth for org.freedesktop.NetworkManager.enable-disable-wimax: (4)
>   GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive
>   a reply (timeout by message bus)
> Jul 14 07:10:01 juicyfruit NetworkManager[719]: <warn> error requesting
>   auth for org.freedesktop.NetworkManager.enable-disable-wwan: (4)
>   GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive
>   a reply (timeout by message bus)
> Jul 14 07:10:01 juicyfruit systemd[1]: polkit.service: main process
>   exited, code=killed, status=11/SEGV
> Jul 14 07:10:01 juicyfruit systemd[1]: Unit polkit.service entered
>   failed state.


For some reason abrt stayed inactive in these cases, so I am afraid
I can only serve these details:

$ rpm -q polkit systemd &&
  rpm -qf $(find /usr/lib*/ -name 'libmozjs185.so.1.0.0')
> polkit-0.107-5.fc18.x86_64
> systemd-201-2.fc18.7.x86_64
> js-1.8.5-12.fc18.x86_64


Found a pointer this could be caused by eager optimization flags
to the compiler: [1].

[1] http://forums-web2.gentoo.org/viewtopic-p-7275280.html

Comment 15 Jan Pokorný [poki] 2013-07-15 13:07:47 UTC
Created attachment 773728 [details]
packages installed/updated at around the time of the first occurrence

For the sake of more complete picture, these are the packages I installed
or updated at around the time of and before the first occurrence.

Comment 16 Miloslav Trmač 2013-07-15 13:38:53 UTC
(In reply to Jan Pokorný from comment #14)
> Just noticed these items in /var/log/messages, very similar to
> [comment 11]:
> 
> > Jul 10 19:30:01 juicyfruit kernel: [200082.785267] polkitd[2272]:
> >   segfault at 41da50 ip 0000003ab115a17c sp 00007fff30273680 error 4
> >   in libmozjs185.so.1.0.0[3ab1000000+317000]
> > Jul 12 14:50:19 juicyfruit kernel: [356142.509706] polkitd[5524]:
> >   segfault at 41da50 ip 0000003ab115a17c sp 00007fff37d45800 error 4
> >   in libmozjs185.so.1.0.0[3ab1000000+317000]
> > Jul 14 07:10:01 juicyfruit kernel: [501364.143486] polkitd[22336]:
> >   segfault at 41da50 ip 0000003ab115a17c sp 00007fff142f4920 error 4
> >   in libmozjs185.so.1.0.0[3ab1000000+317000]


> For some reason abrt stayed inactive in these cases, so I am afraid
> I can only serve these details:
> 
> $ rpm -q polkit systemd &&
>   rpm -qf $(find /usr/lib*/ -name 'libmozjs185.so.1.0.0')
> > polkit-0.107-5.fc18.x86_64
> > systemd-201-2.fc18.7.x86_64
> > js-1.8.5-12.fc18.x86_64
> 
> 
> Found a pointer this could be caused by eager optimization flags
> to the compiler: [1].
> 
> [1] http://forums-web2.gentoo.org/viewtopic-p-7275280.html

Yes, I have seen something vaguely similar:
> Jul  9 17:01:02 kulicka kernel: [45549.301016] traps: polkitd[4398] general protection ip:7f581a0899d2 sp:7fff7896a0c0 error:0 in libmozjs-17.0.so[7f5819f52000+3a7000]
I have neither abrt report nor a core file (=> no backtrace).

That is with
> polkit-0.111-2.fc19.x86_64
> mozjs17-17.0.0-7.fc19.x86_64
though.

It's not obvious that this is the same bug as the one Eran reported.

Comment 17 "FeRD" (Frank Dana) 2013-08-14 20:22:36 UTC
I'm also seeing the same thing (polkitd segfaulting, likely causing the resulting NetworkManager auth freakout, and sending polkit.service into a failed state, just as in comment #14) with libmozjs-17.0.so / mozjs17-17.0.0-7.fc19.x86_64. abrt ignored the crash in my case, also.

Looks like today alone I've had this occur twice already, in fact. If that's not the same bug as this one, should we open a separate report? Or is there an open bug already? (My web search on the segfault log in dmesg landed me here, so I'm guessing no?)

Comment 18 Miloslav Trmač 2013-08-14 20:28:21 UTC
(In reply to "FeRD" (Frank Dana) from comment #17)
> I'm also seeing the same thing (polkitd segfaulting, likely causing the
> resulting NetworkManager auth freakout, and sending polkit.service into a
> failed state, just as in comment #14) with libmozjs-17.0.so /
> mozjs17-17.0.0-7.fc19.x86_64. abrt ignored the crash in my case, also.
> 
> Looks like today alone I've had this occur twice already, in fact. If that's
> not the same bug as this one, should we open a separate report?

That's unclear without having a backtrace.  I've talked to abrt developers about this, I'm yet to try to apply their suggestions.

> Or is there
> an open bug already?
Not that I know of.

Comment 19 Lonni J Friedman 2013-08-19 14:27:33 UTC
Also seeing this in Fedora19-x86_64 every day.  In dmesg:
 WARNING:  General Protection Faults in these executables
    traps: polkitd :  1 Time(s)

And in /var/log/messages:
Aug 18 14:20:19 cuda-vm3 kernel: [238526.465434] traps: polkitd[43334] general protection ip:7faf142b59d2 sp:7fff4886d090 error:0 in libmozjs-17.0.so[7faf1417e000+3a7000]
Aug 18 14:20:19 cuda-vm3 systemd[1]: polkit.service: main process exited, code=killed, status=11/SEGV
Aug 18 14:20:19 cuda-vm3 systemd[1]: Unit polkit.service entered failed state.

Comment 20 Joel C Ewing 2013-09-05 14:08:19 UTC
I have also be getting these protection failures consistently from libmozjs-17.0.so,  almost once a day (4 of last 5 days) on a continuously running system, consistently at either 06:01:01 or 07:01:01 (CDT)in the morning, and ALWAYS followed in the same second by one or more warning failures from NetworkManager: "NetworkManager[858]: <warn> error requesting auth for org.freedesktop.NetworkManager.<with-various-values-here>".  I've got very little stuff fired by cron and don't see anything consistent with those times, so either NetworkManager has some timer of its own or maybe Cox Communications or my DIR-655 router is doing something every morning that perturbs Network Manager.  In any event, circumstantial evidence at least suggests there might be some issue with NetworkManager, or he shouldn't always be the apparent victim.  The underlying event that triggers the problem is unknown..

My system is currently at kernel-3.10.9-200 (64-bit), but I may have been getting these ever since going from f17 to f19 in August.  On the recent logs polkitd always seems to restart successfully and no failures beyond the log entries have been observed.  If it weren't for logwatch reporting the polkitd failures, I would never have noticed.

Comment 21 Tomasz Torcz 2013-09-21 16:32:32 UTC
I'm seeing the issue on up-to-date F19, roughly every 2 hours:

# journalctl -b SYSLOG_IDENTIFIER=kernel | grep -c "traps: polkitd"; uptime
195
 18:31:05 up 15 days,  5:50

Comment 22 Robert Hancock 2013-11-05 22:05:51 UTC
I am also seeing this problem occurring multiple times per day on an up-to-date F19 system:

Nov 04 16:15:01 eng1n65.eng.sedsystems.ca kernel: traps: polkitd[796] general protection ip:7f89a74b39d2 sp:7fff8a2600c0 error:0 in libmozjs-17.0.so[7f89a737c000+3a7000]
Nov 04 20:00:02 eng1n65.eng.sedsystems.ca kernel: traps: polkitd[31881] general protection ip:7ff652f199d2 sp:7fff462de630 error:0 in libmozjs-17.0.so[7ff652de2000+3a7000]
Nov 05 00:00:02 eng1n65.eng.sedsystems.ca kernel: traps: polkitd[20059] general protection ip:7faaecee89d2 sp:7fffcaa0d700 error:0 in libmozjs-17.0.so[7faaecdb1000+3a7000]
Nov 05 04:01:01 eng1n65.eng.sedsystems.ca kernel: traps: polkitd[8382] general protection ip:7f42337829d2 sp:7fff7a9e4610 error:0 in libmozjs-17.0.so[7f423364b000+3a7000]
Nov 05 08:10:01 eng1n65.eng.sedsystems.ca kernel: traps: polkitd[28792] general protection ip:7fa18fa899d2 sp:7fff6f985670 error:0 in libmozjs-17.0.so[7fa18f952000+3a7000]
Nov 05 11:55:47 eng1n65.eng.sedsystems.ca kernel: traps: polkitd[16832] general protection ip:7fcccd5239d2 sp:7fff7d859f40 error:0 in libmozjs-17.0.so[7fcccd3ec000+3a7000]
Nov 05 14:30:02 eng1n65.eng.sedsystems.ca kernel: traps: polkitd[4880] general protection ip:7f44748ac9d2 sp:7fffbdb39900 error:0 in libmozjs-17.0.so[7f4474775000+3a7000]

This may be connected with trouble I sometimes have unlocking the screen, where it can take up to a minute to actually unlock after entering the password.

ABRT does not seem to be triggered by these segfaults for some reason, so I don't have any other debug information.

Comment 23 Edward Kuns 2013-11-22 16:11:21 UTC
Hostname changed below.  I am also seeing this:

Nov 21 22:10:02 myhostname kernel: [32279.142826] traps: polkitd[1078] general protection ip:7f6dbda2e9d2 sp:7fff4abf6c40 error:0 in libmozjs-17.0.so[7f6dbd8f7000+3a7000]
Nov 22 00:40:02 myhostname kernel: [41278.849638] traps: polkitd[1489] general protection ip:7fbf60ce99d2 sp:7fff03ac1530 error:0 in libmozjs-17.0.so[7fbf60bb2000+3a7000]
Nov 22 02:30:02 myhostname kernel: [47879.315643] traps: polkitd[13627] general protection ip:7f88487c99d2 sp:7fffb77867a0 error:0 in libmozjs-17.0.so[7f8848692000+3a7000]
Nov 22 04:45:02 myhostname kernel: [55978.882546] traps: polkitd[23467] general protection ip:7fd65b3459d2 sp:7fff8b44edb0 error:0 in libmozjs-17.0.so[7fd65b20e000+3a7000]
Nov 22 06:45:02 myhostname kernel: [63178.941422] traps: polkitd[7920] general protection ip:7f1a69c769d2 sp:7fffcedea430 error:0 in libmozjs-17.0.so[7f1a69b3f000+3a7000]
Nov 22 08:50:02 myhostname kernel: [70679.541425] traps: polkitd[14195] general protection ip:7f4f58c1c9d2 sp:7fff6d8de360 error:0 in libmozjs-17.0.so[7f4f58ae5000+3a7000]

Most of the times above, I was not on the computer.  The screen was locked.  Let me know what kind of information I can gather and I'll do what I can to gather it.

Comment 24 Edward Kuns 2013-11-22 16:47:59 UTC
FWIW, I did my first yum update for 10 days yesterday. and then saw six of this error over the next 18 hours.  Previously, I saw this three times in October, once each day, on Oct 25-27, and not at all since, until yesterday.  That makes me wonder if an update in late October fixed this problem, and a recent update reintroduced it.  (Or it could all be random.)

# rpm -q polkit
polkit-0.112-1.fc19.x86_64

# grep polkit /var/log/yum.log 
Oct 15 23:47:24 Installed: polkit-gnome-0.105-4.fc19.x86_64
Oct 15 23:47:36 Installed: lxpolkit-0.1.0-5.fc19.x86_64
Oct 15 23:50:54 Installed: polkit-qt-0.103.0-7.fc19.x86_64

Doesn't look like it was a policy kit update, and I'm not certain what else to look for in /var/log/yum.log to see if it correlates.

Comment 25 Stan King 2013-12-09 23:15:55 UTC
I'm also seeing this multiple times per day on my f19 systems.

Like most of the other reports above, it almost always happens one or two seconds after the top of the minute, however, not at a consistent time every day.  It does not seem to be related to system load.

Comment 26 Fedora End Of Life 2013-12-21 11:21:01 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 27 Tomasz Torcz 2013-12-31 12:28:05 UTC
Still happens on F20, with  polkit-0.112-2.fc20.x86_64

Comment 28 Miloslav Trmač 2014-01-02 13:49:47 UTC
*** Bug 1047404 has been marked as a duplicate of this bug. ***

Comment 29 Robert Hancock 2014-01-03 16:12:28 UTC
I set suid_dumpable=2 on my system and was able to capture a report of this occurring on F20 with a full backtrace. See bug 1048296.

Comment 30 Dr. David Alan Gilbert 2014-01-05 00:15:25 UTC
I tried suid_dumpable=1 and that didn't get trapped by abrt.
Now switching to 2.
Note my crash today was while I was away from the computer - so it's not apparently triggered by a user action; it does seem to happen in the middle of a splurge of queries by NetworkManager.

Comment 31 Dr. David Alan Gilbert 2014-01-12 02:09:09 UTC
Robert: even with suid_dumpable=2 abrt isn't catching it for me.
Are you setting it in some config so it happens at boot, or restarting polkitd after setting it or something like that?

There's something else I noticed:


Nov 19 16:00:01 major kernel: polkitd[745]: segfault at 7f3e461071c8 ip 00007f3e461071c8 sp 00007fff9b17e5d8 error 15
Nov 24 01:01:01 major kernel: polkitd[741]: segfault at 7fcf12d071c8 ip 00007fcf12d071c8 sp 00007fff53f8eb88 error 15
Nov 26 16:50:01 major kernel: polkitd[737]: segfault at 7fd7244071c8 ip 00007fd7244071c8 sp 00007fff26ced8e8 error 15
Dec 08 01:55:48 major kernel: polkitd[804]: segfault at 7fd56a0071c8 ip 00007fd56a0071c8 sp 00007ffff2c77938 error 15
Dec 31 00:10:01 major kernel: polkitd[796]: segfault at 7f77281071c8 ip 00007f77281071c8 sp 00007fffb1720bc8 error 15
Jan 04 22:20:01 major kernel: polkitd[773]: segfault at 7fc59c4071c8 ip 00007fc59c4071c8 sp 00007fff4abe9468 error 15
Jan 11 22:20:02 major kernel: polkitd[818]: segfault at 7f72711071c8 ip 00007f72711071c8 sp 00007fff3d2aecf8 error 15

So almost all of the failures occur in the first couple of seconds of a minute, the last 2 are within a second of each other - except on different weeks?! (and I don't switch on my machine and use it with THAT much precision!).
Certainly the last two weeks the day has been the day when it's been on for the 1st time in the week (i.e it's on just at the weekend) and in both cases the times are when I've been away from the machine for about 20mins (I tend to do otehr stuff at 10pm - but not that precisely)

Comment 32 Edward Kuns 2014-01-12 06:13:48 UTC
Taking a look at what is currently in my logs:

Dec 21 21:10:03 hostname kernel: [1194550.194656] traps: polkitd[1032] general protection ip:7f3b3adb19d2 sp:7fff33a84560 error:0 in libmozjs-17.0.so[7f3b3ac7a000+3a7000]
Dec 22 15:45:02 hostname kernel: [1261449.045900] traps: polkitd[24725] general protection ip:7fe2fa8d19d2 sp:7fff97e0d830 error:0 in libmozjs-17.0.so[7fe2fa79a000+3a7000]
Dec 22 19:05:01 hostname kernel: [1273447.893399] traps: polkitd[3388] general protection ip:7fbe7d73b9d2 sp:7fff3b645540 error:0 in libmozjs-17.0.so[7fbe7d604000+3a7000]
Dec 23 12:45:02 hostname kernel: [1337049.554665] traps: polkitd[25946] general protection ip:7f3effe6e9d2 sp:7fffa5064db0 error:0 in libmozjs-17.0.so[7f3effd37000+3a7000]
Dec 23 19:25:01 hostname kernel: [1361048.816534] traps: polkitd[19777] general protection ip:7f64a32a99d2 sp:7fffd79b93a0 error:0 in libmozjs-17.0.so[7f64a3172000+3a7000]

These all occur, like yours, a few seconds after the minute, where the minute is a multiple of five.  This is not occurring randomly.

Looks like it hasn't occurred on my system since Dec 23.  Interesting.

Comment 33 Robert Hancock 2014-01-13 15:47:34 UTC
I didn't do anything special after changing the setting, I just did:

echo 2 > /proc/sys/fs/suid_dumpable

at runtime. You can cat the file afterwards to see if it actually took effect.

The pattern you pointed out where the crash seems to mostly happen on a 5-minute boundary seems to hold on my system as well. This would suggest that there's some kind of periodic process that's involved with the crash.

Jan 08 08:00:01 eng1n65.eng.sedsystems.ca kernel: traps: polkitd[10925] general protection ip:7f81080f1022 sp:7ffffc770d90 error:0 in libmozjs-17.0.so[7f8107fb2000+3b3000]
Jan 08 15:45:02 eng1n65.eng.sedsystems.ca kernel: traps: polkitd[3570] general protection ip:7f29d0ae3022 sp:7fff4e2afca0 error:0 in libmozjs-17.0.so[7f29d09a4000+3b3000]
Jan 08 23:45:01 eng1n65.eng.sedsystems.ca kernel: traps: polkitd[16816] general protection ip:7fc23fa50022 sp:7fffb72a7c80 error:0 in libmozjs-17.0.so[7fc23f911000+3b3000]
Jan 09 07:30:01 eng1n65.eng.sedsystems.ca kernel: traps: polkitd[356] general protection ip:7f9534da9022 sp:7fff1e42fe40 error:0 in libmozjs-17.0.so[7f9534c6a000+3b3000]
Jan 09 14:45:01 eng1n65.eng.sedsystems.ca kernel: traps: polkitd[15101] general protection ip:7fd3e6e88022 sp:7fffff736550 error:0 in libmozjs-17.0.so[7fd3e6d49000+3b3000]
Jan 09 22:50:02 eng1n65.eng.sedsystems.ca kernel: traps: polkitd[16165] general protection ip:7f82d5655022 sp:7fff80432540 error:0 in libmozjs-17.0.so[7f82d5516000+3b3000]
Jan 10 06:50:01 eng1n65.eng.sedsystems.ca kernel: traps: polkitd[10471] general protection ip:7fd911e69022 sp:7fffeba54e10 error:0 in libmozjs-17.0.so[7fd911d2a000+3b3000]
Jan 10 14:45:02 eng1n65.eng.sedsystems.ca kernel: traps: polkitd[6886] general protection ip:7f1074b22022 sp:7fff6fbd5600 error:0 in libmozjs-17.0.so[7f10749e3000+3b3000]

Is anyone looking into this? There seems to be quite a bit of information available to go on now..

Comment 34 Philippe Troin 2014-02-12 20:33:23 UTC
Seeing this problem with F20 as well, only on i686.
Another box with similar configuration running on x86_64 does not have the problem.
F19 seems to be unaffected (for me).

Comment 35 Dr. David Alan Gilbert 2014-02-15 21:19:04 UTC
Philippe: Interesting; greping my logs I don't seem to have hit it since Jan 19th.

Comment 36 Edward Kuns 2014-02-16 22:59:57 UTC
FWIW, I last saw this on Jan 27th.

Comment 37 Robert Hancock 2014-02-25 17:13:37 UTC
With a fully updated system this is still happening on a regular basis for me. But I think I see what's associated with the crash: cron jobs that are being run on the system. For example:

Feb 24 18:30:01 eng1n65.eng.sedsystems.ca crond[16961]: pam_systemd(crond:session): Ignoring vtnr 0 for  which is not seat0
Feb 24 18:30:01 eng1n65.eng.sedsystems.ca crond[16962]: pam_systemd(crond:session): Ignoring vtnr 0 for  which is not seat0
Feb 24 18:30:01 eng1n65.eng.sedsystems.ca crond[16963]: pam_systemd(crond:session): Ignoring vtnr 0 for  which is not seat0
Feb 24 18:30:01 eng1n65.eng.sedsystems.ca systemd[1]: Starting Session 156 of user udsuser.
Feb 24 18:30:01 eng1n65.eng.sedsystems.ca systemd[1]: Started Session 156 of user udsuser.
Feb 24 18:30:01 eng1n65.eng.sedsystems.ca systemd[1]: Starting Session 157 of user root.
Feb 24 18:30:01 eng1n65.eng.sedsystems.ca systemd[1]: Started Session 157 of user root.
Feb 24 18:30:01 eng1n65.eng.sedsystems.ca systemd[1]: Starting Session 155 of user iksexec.
Feb 24 18:30:01 eng1n65.eng.sedsystems.ca systemd[1]: Started Session 155 of user iksexec.
Feb 24 18:30:01 eng1n65.eng.sedsystems.ca CROND[16968]: (udsuser) CMD (bash --login -c 'cleanup_cores 10 20' >/dev/null 2>&1)
Feb 24 18:30:01 eng1n65.eng.sedsystems.ca CROND[16969]: (root) CMD (/usr/lib64/sa/sa1 1 1)
Feb 24 18:30:01 eng1n65.eng.sedsystems.ca CROND[16970]: (iksexec) CMD (bash --login -c 'cleanup_cores 10 20' >/dev/null 2>&1)
Feb 24 18:30:01 eng1n65.eng.sedsystems.ca kernel: traps: polkitd[29661] general protection ip:7f616abeb022 sp:7fff78d1a4d0 error:0 in libmozjs-17.0.so[7f616aaac000+3b3000]
Feb 24 18:30:01 eng1n65.eng.sedsystems.ca gnome-session[2014]: PolicyKit daemon disconnected from the bus.
Feb 24 18:30:01 eng1n65.eng.sedsystems.ca gnome-session[2014]: We are no longer a registered authentication agent.
Feb 24 18:30:01 eng1n65.eng.sedsystems.ca NetworkManager[1179]: <warn> error requesting auth for org.freedesktop.NetworkManager.wifi.share.open: (4) GDBus.Error:org.freedesktop
Feb 24 18:30:01 eng1n65.eng.sedsystems.ca NetworkManager[1179]: <warn> error requesting auth for org.freedesktop.NetworkManager.wifi.share.protected: (4) GDBus.Error:org.freede
Feb 24 18:30:01 eng1n65.eng.sedsystems.ca NetworkManager[1179]: <warn> error requesting auth for org.freedesktop.NetworkManager.settings.modify.hostname: (4) GDBus.Error:org.fr
Feb 24 18:30:01 eng1n65.eng.sedsystems.ca NetworkManager[1179]: <warn> error requesting auth for org.freedesktop.NetworkManager.settings.modify.own: (4) GDBus.Error:org.freedes
Feb 24 18:30:01 eng1n65.eng.sedsystems.ca NetworkManager[1179]: <warn> error requesting auth for org.freedesktop.NetworkManager.settings.modify.system: (4) GDBus.Error:org.free
Feb 24 18:30:01 eng1n65.eng.sedsystems.ca NetworkManager[1179]: <warn> error requesting auth for org.freedesktop.NetworkManager.wifi.share.open: (4) GDBus.Error:org.freedesktop
Feb 24 18:30:01 eng1n65.eng.sedsystems.ca systemd[1]: polkit.service: main process exited, code=killed, status=11/SEGV
Feb 24 18:30:01 eng1n65.eng.sedsystems.ca systemd[1]: Unit polkit.service entered failed state.

Comment 38 Andy Blanchard 2014-02-27 11:22:57 UTC
Started seeing this myself on the 24th Feb.  I run MRTG from cron every five minutes, and it started generating the following error from the first run after the install of the SystemD update (208-14.fc20), which was the only pertinent update I installed at that time:

crond[24919]: pam_systemd(crond:session): Ignoring vtnr 0 for  which is not seat0

Note the double space between "for" and "which".  Maybe something in the SystemD update isn't picking up a variable correctly and that is then causing some code to fail and generate errors?

Comment 39 Philip Prindeville 2014-02-28 01:29:36 UTC
(In reply to Andy Blanchard from comment #38)
> Started seeing this myself on the 24th Feb.  I run MRTG from cron every five
> minutes, and it started generating the following error from the first run
> after the install of the SystemD update (208-14.fc20), which was the only
> pertinent update I installed at that time:
> 
> crond[24919]: pam_systemd(crond:session): Ignoring vtnr 0 for  which is not
> seat0
> 
> Note the double space between "for" and "which".  Maybe something in the
> SystemD update isn't picking up a variable correctly and that is then
> causing some code to fail and generate errors?

This looks like bug #1070970.

Comment 40 Miloslav Trmač 2014-04-14 22:07:55 UTC
*** Bug 1086558 has been marked as a duplicate of this bug. ***

Comment 41 Dr. David Alan Gilbert 2014-04-21 17:46:37 UTC
just triggered it again (f20 still) - hadn't seen this for months:
[Mon Apr 21 17:00:17 2014] polkitd[899]: segfault at 7f72efe071c8 ip 00007f72efe071c8 sp 00007fff4b162708 error 15

Comment 42 Mike Iglesias 2014-04-28 15:11:23 UTC
polkit dies every couple of days on my Fedora 19 system, and has been doing it for some time.

Apr 19 18:01:01 host kernel: [1066723.718555] polkitd[9029]: segfault at 15 ip 00007f08b25bb805 sp 00007fff7c60d070 error 4 in libmozjs-17.0.so[7f08b24c4000+3a7000]
Apr 21 15:35:43 host kernel: [1230879.060179] polkitd[14658]: segfault at 15 ip 00007f4d1f791805 sp 00007fff1a998680 error 4 in libmozjs-17.0.so[7f4d1f69a000+3a7000]
Apr 23 08:09:43 host kernel: [1376985.204730] polkitd[22542]: segfault at 15 ip 00007ffc35cfc805 sp 00007fffc87d4780 error 4 in libmozjs-17.0.so[7ffc35c05000+3a7000]
Apr 25 16:40:19 host kernel: [1580512.214581] polkitd[3170]: segfault at 15 ip 00007f6942ebb805 sp 00007fffb0c89020 error 4 in libmozjs-17.0.so[7f6942dc4000+3a7000]

Comment 43 Miloslav Trmač 2014-05-09 18:55:54 UTC
*** Bug 1095484 has been marked as a duplicate of this bug. ***

Comment 44 David Tonhofer 2014-06-22 08:12:14 UTC
On Fedora 20:

In the middle of the night (no activity if no NSA assumed):

Jun 22 02:00:01 HOSTNAME kernel: [44647.952222] traps: polkitd[23094] general protection ip:7f2e41bba022 sp:7fffc54e0510 error:0 in libmozjs-17.0.so[7f2e41a7b000+3b3000]

This for:

mozjs17-17.0.0-8.fc20.x86_64
polkit-0.112-2.fc20.x86_64

At that time, a cron-scheduled job was updating DynDNS (basically, the ddclient script running from cron instead of as a daemon as I consider running this as a daemon a Bad Idea); and NetworkManager decided to do something. From journalctl:

02:00:01 systemd[1]: Starting Session 55 of user ddclient.
02:00:01 systemd[1]: Started Session 55 of user ddclient.
02:00:01 systemd[1]: Starting Session 54 of user ddclient.
02:00:01 CROND[12156]: (ddclient) CMD ($DIR/ddclient/sbin/wrap_wrap_ddclient.sh)
02:00:01 systemd[1]: Started Session 54 of user ddclient.
02:00:01 CROND[12157]: (ddclient) CMD (find $DDCLIENT_HOME -maxdepth 1 -name
   ddclient.cache -mtime +25 -exec /bin/rm {} ';')
02:00:01 kernel: traps: polkitd[23094] general protection ip:7f2e41bba022
   sp:7fffc54e0510 error:0 in libmozjs-17.0.so[7f2e41a7b000+3b3000]
02:00:01 systemd[1]: polkit.service: main process exited, code=killed,
   status=11/SEGV
02:00:01 NetworkManager[24693]: <warn> error requesting auth for
   org.freedesktop.NetworkManager.wifi.share.open: (4)
   GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a
   reply (timeout by                             
02:00:01 NetworkManager[24693]: <warn> error requesting auth for
   org.freedesktop.NetworkManager.wifi.share.protected: (4) 
   GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a 
   reply (timeou
02:00:01 NetworkManager[24693]: <warn> error requesting auth for 
   org.freedesktop.NetworkManager.settings.modify.hostname: (4) 
   GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a
   reply (ti
02:00:01 NetworkManager[24693]: <warn> error requesting auth for 
   org.freedesktop.NetworkManager.settings.modify.own: (4) 
   GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a
   reply (timeout
02:00:01 NetworkManager[24693]: <warn> error requesting auth for 
   org.freedesktop.NetworkManager.settings.modify.system: (4) 
   GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a 
   reply (time
02:00:01 NetworkManager[24693]: <warn> error requesting auth for 
   org.freedesktop.NetworkManager.wifi.share.open: (4) 
   GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a 
   reply (timeout by                             
02:00:01 NetworkManager[24693]: <warn> error requesting auth for 
   org.freedesktop.NetworkManager.wifi.share.protected: (4)    
   GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a 
   reply (timeou
02:00:01 systemd[1]: Unit polkit.service entered failed state.
02:01:01 systemd[1]: Starting Session 56 of user root.
02:01:01 systemd[1]: Started Session 56 of user root.

The Session 56 of user root is cron.daily doing its thing.

Comment 45 Miloslav Trmač 2014-06-30 17:28:17 UTC
*** Bug 1048296 has been marked as a duplicate of this bug. ***

Comment 46 Orion Poplawski 2014-10-22 15:34:20 UTC
Program terminated with signal SIGSEGV, Segmentation fault.
#0  js::ShapeTable::search (this=0x7f6896e25f80, id=id@entry=140087184634656, 
    adding=adding@entry=false) at /usr/src/debug/mozjs17.0.0/js/src/jsscope.cpp:163
163         stored = *spp;
(gdb) print spp
$2 = (js::Shape **) 0x720065043a5d05
(gdb) print *spp
Cannot access memory at address 0x720065043a5d05
(gdb) list
146     Shape **
147     ShapeTable::search(jsid id, bool adding)
148     {
149         js::HashNumber hash0, hash1, hash2;
150         int sizeLog2;
151         Shape *stored, *shape, **spp, **firstRemoved;
152         uint32_t sizeMask;
153
154         JS_ASSERT(entries);
155         JS_ASSERT(!JSID_IS_EMPTY(id));
156
157         /* Compute the primary hash address. */
158         hash0 = HashId(id);
159         hash1 = HASH1(hash0, hashShift);
160         spp = entries + hash1;
161
162         /* Miss: return space for a new entry. */
163         stored = *spp;
(gdb) print entries
$6 = (js::Shape **) 0x72006500730075
(gdb) print *entries
Cannot access memory at address 0x72006500730075

looks like memory corruption in libmozjs17.  Re-assign?  Any way to run polkitd under valgrind?

Looks like we're running the javascript function "_runRules" from:

#12 polkit_backend_js_authority_check_authorization_sync (_authority=<optimized out>,
    caller=<optimized out>, subject=0x7f68a27d48e0, user_for_subject=0x7f68a263b720,
    subject_is_local=1, subject_is_active=1,
    action_id=0x7f68a289ff13 "org.kde.powerdevil.backlighthelper.syspath",
    details=0x7f68a26e0d00, implicit=POLKIT_IMPLICIT_AUTHORIZATION_AUTHORIZED)
    at polkitbackendjsauthority.c:1180

which is in /usr/share/polkit-1/actions/org.kde.powerdevil.backlighthelper.policy from kde-workspace-4.11.13-2.fc20.x86_64.

Comment 47 Philippe Troin 2014-10-22 17:03:45 UTC
Thanks for the backtrace.
I'll point out that I am still experiencing crashes, even though I never had 
/usr/share/polkit-1/actions/org.kde.powerdevil.backlighthelper.policy
installed.

Comment 48 Orion Poplawski 2014-10-22 17:15:07 UTC
Yeah, I really doubt it's any particular file causing it.

Comment 49 Miloslav Trmač 2014-10-22 17:16:56 UTC
FWIW the root cause is very likely known, sadly some related work that needs to be done to get this fixed is still pending.

Comment 50 Jeff Sadowski 2014-12-05 00:08:56 UTC
Fedora 20

mozjs17-17.0.0-8.fc20.x86_64
polkit-0.112-2.fc20.x86_64

kernel: [47322.125889] traps: polkitd[18825] general protection ip:7fd9aedbc022 sp:7fffd7fb82d0 error:0 in libmozjs-17.0.so[7fd9aec7d000+3b3000]

after a cron job that reads emails
commands in cronjob are
fetchmail, mail, wc, sed, head, tail, grep, cut

nothing out of the ordinary commands.

It doesn't happen every time it is ran but only after it is ran. All occurrences in my /var/log/messages happen immediately after a
systemd: Starting Session <number> of user root
systemd: Started Session <same number> of user root

which has to be my script

If any other info would be useful I will send it.
I will try and generate the error and post anything else I can find.

Comment 51 Daniel Miranda 2014-12-09 01:38:13 UTC
I'm still seeing polkitd segfaults in Fedora 21:

kernel: traps: polkitd[971] general protection ip:7ffb69ed0de2 sp:7fffbceeede0 error:0 in libmozjs-17.0.so[7ffb69d91000+3ba000]

What is the related work that is missing? Has it not made to F21 or am I hitting something else?

Comment 52 dashesy 2015-02-19 01:22:53 UTC
I just got one:
Feb 18 17:01:01 dashesy systemd: Stopped target Sockets.
Feb 18 17:01:01 dashesy systemd: Starting Shutdown.
Feb 18 17:01:01 dashesy systemd: Reached target Shutdown.
Feb 18 17:01:01 dashesy systemd: Starting Exit the Session...
Feb 18 17:01:01 dashesy systemd: Received SIGRTMIN+24 from PID 14168 (kill).
Feb 18 17:01:01 dashesy kernel: [793868.732107] traps: polkitd[23706] general protection ip:7f33f22a0de2 sp:7fffafd787b0 error:0 in libmozjs-17.0.so[7f33f2161000+3ba000]
Feb 18 17:01:01 dashesy kernel: traps: polkitd[23706] general protection ip:7f33f22a0de2 sp:7fffafd787b0 error:0 in libmozjs-17.0.so[7f33f2161000+3ba000]
Feb 18 17:01:01 dashesy NetworkManager[832]: <warn>  error requesting auth for org.freedesktop.NetworkManager.wifi.share.open: (4) GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
Feb 18 17:01:01 dashesy NetworkManager[832]: <warn>  error requesting auth for org.freedesktop.NetworkManager.wifi.share.protected: (4) GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
Feb 18 17:01:01 dashesy NetworkManager[832]: <warn>  error requesting auth for org.freedesktop.NetworkManager.settings.modify.hostname: (4) GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
Feb 18 17:01:01 dashesy NetworkManager[832]: <warn>  error requesting auth for org.freedesktop.NetworkManager.settings.modify.own: (4) GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
Feb 18 17:01:01 dashesy NetworkManager[832]: <warn>  error requesting auth for org.freedesktop.NetworkManager.settings.modify.system: (4) GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)

Comment 53 Kamil Dudka 2015-02-19 12:22:06 UTC
(In reply to Miloslav Trmač from comment #49)
> FWIW the root cause is very likely known, sadly some related work that needs
> to be done to get this fixed is still pending.

If you know the root cause, please share it with us!

Today I got yet another such bug rerpot against elinks: bug #1194232

Comment 54 EMR_Fedora 2015-02-19 14:06:26 UTC
Created attachment 993623 [details]
var log messages of polkitd segv

I am getting the same thing, in the middle of the night. The only thing running (that I know of) is xscreensaver:

# rpm -qa xscreensaver*
xscreensaver-gl-extras-5.32-7.fc21.i686
xscreensaver-base-5.32-7.fc21.i686
xscreensaver-gl-base-5.32-7.fc21.i686
xscreensaver-extras-base-5.32-7.fc21.i686
xscreensaver-extras-5.32-7.fc21.i686

Below is the specific crash info, but I have also attached the logs (see f21host-polkitd-messages.log) from two minutes before through two minutes after the crash to see if it's related. Note these two minutes before messages continue throughout the night, one second after the top of the minute.

Feb 16 04:22:01 f21host systemd: Received SIGRTMIN+24 from PID 18529 (kill).
Feb 16 04:22:01 f21host kernel: [232320.341312] polkitd[14920]: segfault at 0 ip b700845a sp bff079e0 error 4 in libmozjs-17.0.so[b6f4d000+3a0000]
Feb 16 04:22:01 f21host kernel: polkitd[14920]: segfault at 0 ip b700845a sp bff079e0 error 4 in libmozjs-17.0.so[b6f4d000+3a0000]
Feb 16 04:22:01 f21host NetworkManager[852]: <warn>  error requesting auth for org.freedesktop.NetworkManager.settings.modify.hostname: (4) GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
Feb 16 04:22:01 f21host NetworkManager[852]: <warn>  error requesting auth for org.freedesktop.NetworkManager.settings.modify.own: (4) GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
Feb 16 04:22:01 f21host NetworkManager[852]: <warn>  error requesting auth for org.freedesktop.NetworkManager.settings.modify.system: (4) GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
Feb 16 04:22:01 f21host NetworkManager[852]: <warn>  error requesting auth for org.freedesktop.NetworkManager.wifi.share.open: (4) GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
Feb 16 04:22:01 f21host NetworkManager[852]: <warn>  error requesting auth for org.freedesktop.NetworkManager.wifi.share.protected: (4) GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
Feb 16 04:22:01 f21host NetworkManager[852]: <warn>  error requesting auth for org.freedesktop.NetworkManager.network-control: (4) GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
Feb 16 04:22:01 f21host NetworkManager[852]: <warn>  error requesting auth for org.freedesktop.NetworkManager.enable-disable-wimax: (4) GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
Feb 16 04:22:01 f21host NetworkManager[852]: <warn>  error requesting auth for org.freedesktop.NetworkManager.enable-disable-wwan: (4) GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
Feb 16 04:22:01 f21host NetworkManager[852]: <warn>  error requesting auth for org.freedesktop.NetworkManager.enable-disable-wifi: (4) GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
Feb 16 04:22:01 f21host NetworkManager[852]: <warn>  error requesting auth for org.freedesktop.NetworkManager.sleep-wake: (4) GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
Feb 16 04:22:01 f21host NetworkManager[852]: <warn>  error requesting auth for org.freedesktop.NetworkManager.enable-disable-network: (4) GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
Feb 16 04:22:01 f21host NetworkManager[852]: <warn>  error requesting auth for org.freedesktop.NetworkManager.wifi.share.open: (4) GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
Feb 16 04:22:01 f21host NetworkManager[852]: <warn>  error requesting auth for org.freedesktop.NetworkManager.wifi.share.protected: (4) GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
Feb 16 04:22:01 f21host NetworkManager[852]: <warn>  error requesting auth for org.freedesktop.NetworkManager.wifi.share.open: (4) GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
Feb 16 04:22:01 f21host systemd: polkit.service: main process exited, code=killed, status=11/SEGV
Feb 16 04:22:01 f21host systemd: Unit polkit.service entered failed state.
Feb 16 04:22:01 f21host systemd: polkit.service failed.

Comment 55 Joel C Ewing 2015-02-19 15:16:03 UTC
I'm still on f19, but since similar symptoms have propagated to f20 my experience may still be relevant.  My crond takes action hourly and all my polkitd failures appear to coincide exactly with some hourly crond activity.  The failure appears to occur randomly, my last three failures being at Feb 15 06:00:02, Feb 17 23:01:01, and Feb 18 20:01:07, or less than 3% of the hourly crond runs.  From the crond logs, the failure time does not seem to coincide with the start or finish of any specific script started by crond but floats a little bit (though always while crond is still engaged in activity), which leads me to suspect the problem may somehow be within crond itself.  All the recent failures on my system occurred at a time when the only logged-on user had been in a "locked" state for hours.

Comment 56 Sergio Monteiro Basto 2015-03-16 16:27:40 UTC
from bug: 1095484  libmozjs (SpiderMonkey) causes SIGSEGV in polkitd,
make sense, I will uninstall spider monkey ...

Comment 57 Clemens Eisserer 2015-04-09 18:10:02 UTC
same here, i frequently find lines like the following in syslog:

[40160.256635] traps: polkitd[922] general protection ip:7fe05fb38de2 sp:7fffaa1904b0 error:0 in libmozjs-17.0.so[7fe05f9f9000+3ba000]

Comment 58 Sergio Monteiro Basto 2015-04-09 19:18:50 UTC
(In reply to Sergio Monteiro Basto from comment #56)
> from bug: 1095484  libmozjs (SpiderMonkey) causes SIGSEGV in polkitd,
> make sense, I will uninstall spider monkey ...

after uninstall spider monkey seems that fix this issue for me

Comment 59 Robert Hancock 2015-04-14 17:11:08 UTC
What is going on with this bug report? This is still occurring frequently on multiple systems and has been open since 2013, that's kind of embarrassing. Apparently since ABRT doesn't pop up dialogs about this, people don't really notice that a core system component is segfaulting on a regular basis.

This is occurring on RHEL7 as well. No custom polkit configuration.

traps: polkitd[1292] general protection ip:7fd3f7295cf2 sp:7fff2dc226d0 error:0 in libmozjs-17.0.so[7fd3f7157000+3b3000]

Comment 60 Wes Hardaker 2015-05-14 03:47:17 UTC
For me this is an even worse problem than just polkitd crashing.  A while ago my whole system started hanging, which is normally a long running very stable machine.  But every once in a while the system would completely lock up.  I disabled polkitd at one point, since it was segfaulting, and lo and behold the system got more stable (I still have issues, but it's frequently when playing videos and I suspect the graphics card driver has issues).

Anyway, after a recent update polkitd is now getting started again and it's still segfaulting and my rate of kernel lockups has skyrocketed again.  Arg!

Comment 61 Kamil Dudka 2015-05-14 07:25:08 UTC
(In reply to Wes Hardaker from comment #60)
> For me this is an even worse problem than just polkitd crashing.  A while
> ago my whole system started hanging, which is normally a long running very
> stable machine.

The same happened to me approx. 3 months ago but it was caused by the nouveau graphics card driver (bug #1205985).

Comment 62 Sergio Monteiro Basto 2015-05-14 12:29:56 UTC
(In reply to Robert Hancock from comment #59)
> What is going on with this bug report? This is still occurring frequently on
> multiple systems and has been open since 2013, that's kind of embarrassing.
> Apparently since ABRT doesn't pop up dialogs about this, people don't really
> notice that a core system component is segfaulting on a regular basis.
> 
> This is occurring on RHEL7 as well. No custom polkit configuration.
> 
> traps: polkitd[1292] general protection ip:7fd3f7295cf2 sp:7fff2dc226d0
> error:0 in libmozjs-17.0.so[7fd3f7157000+3b3000]

yeah, I said that uninstall spyder monkey solved this issue, but don't fix all. I got segfaults but much less often : 

May 13 20:01:31 segulix kernel: [70949.576581] traps: polkitd[958] general protection ip:7f69a890dde2 sp:7fff9c38ce30 error:0 in libmozjs-17.0.so[7f69a87ce000+3ba000]

Have we a way to debug this ?

Comment 63 Seb L. 2015-05-15 14:56:01 UTC
Hi,

I've got the same problem (Fedora 21, polkit-0.112-7.fc21.1.x86_64, mozjs17-17.0.0-12.fc21.x86_64) on (at least) two different machines on different hardware:

Machine 1:
Apr 13 18:01:01 kernel: traps: polkitd[14776] general protection ip:7f8d2971cde2 sp:7ffea313b2c0 error:0 in libmozjs-17.0.so[7f8d295dd000+3ba000]
Apr 20 20:01:01 kernel: traps: polkitd[29754] general protection ip:7f2c0e494de2 sp:7ffc20bd6e40 error:0 in libmozjs-17.0.so[7f2c0e355000+3ba000]
Apr 24 08:01:01 kernel: traps: polkitd[16670] general protection ip:7f6178f46de2 sp:7ffed030cdd0 error:0 in libmozjs-17.0.so[7f6178e07000+3ba000]
Apr 26 00:01:02 kernel: traps: polkitd[9931] general protection ip:7f0f17b09de2 sp:7fff42986740 error:0 in libmozjs-17.0.so[7f0f179ca000+3ba000]
Apr 28 18:45:01 kernel: traps: polkitd[27063] general protection ip:7f5ea0bc5de2 sp:7ffcf3790f90 error:0 in libmozjs-17.0.so[7f5ea0a86000+3ba000]
Apr 28 21:40:02 kernel: traps: polkitd[32561] general protection ip:7faaca685de2 sp:7ffca6e2f910 error:0 in libmozjs-17.0.so[7faaca546000+3ba000]
May 15 13:01:02 kernel: traps: polkitd[8965] general protection ip:7fab4da05de2 sp:7ffcda36fe20 error:0 in libmozjs-17.0.so[7fab4d8c6000+3ba000]

Machine 2:
Apr 13 03:45:02 kernel: traps: polkitd[31039] general protection ip:7f79a3eb4de2 sp:7ffdfaf4dc40 error:0 in libmozjs-17.0.so[7f79a3d75000+3ba000]
Apr 13 09:40:01 kernel: traps: polkitd[15362] general protection ip:7fd6b4d5cde2 sp:7ffebe1957d0 error:0 in libmozjs-17.0.so[7fd6b4c1d000+3ba000]
Apr 13 15:30:02 kernel: traps: polkitd[26293] general protection ip:7faa85806de2 sp:7fffca801730 error:0 in libmozjs-17.0.so[7faa856c7000+3ba000]
Apr 14 06:01:01 kernel: traps: polkitd[5169] general protection ip:7f5772dc6de2 sp:7ffd5dc6a100 error:0 in libmozjs-17.0.so[7f5772c87000+3ba000]
Apr 14 08:55:02 kernel: traps: polkitd[32578] general protection ip:7f9fd1e39de2 sp:7ffe3c5ec5f0 error:0 in libmozjs-17.0.so[7f9fd1cfa000+3ba000]
Apr 14 20:40:02 kernel: traps: polkitd[5821] general protection ip:7f918de29de2 sp:7ffc0db948f0 error:0 in libmozjs-17.0.so[7f918dcea000+3ba000]
Apr 14 23:25:02 kernel: traps: polkitd[31680] general protection ip:7f5b96262de2 sp:7ffc1d454e10 error:0 in libmozjs-17.0.so[7f5b96123000+3ba000]
Apr 15 11:05:01 kernel: traps: polkitd[4864] general protection ip:7f03e2786de2 sp:7ffdb78e6ac0 error:0 in libmozjs-17.0.so[7f03e2647000+3ba000]
Apr 15 16:45:01 kernel: traps: polkitd[26805] general protection ip:7f93e8e4ade2 sp:7ffeb67382b0 error:0 in libmozjs-17.0.so[7f93e8d0b000+3ba000]
Apr 15 22:25:01 kernel: traps: polkitd[5545] general protection ip:7fbabcabbde2 sp:7fff5a8bcea0 error:0 in libmozjs-17.0.so[7fbabc97c000+3ba000]
Apr 16 04:10:01 kernel: traps: polkitd[17670] general protection ip:7f092e24dde2 sp:7ffddbe943e0 error:0 in libmozjs-17.0.so[7f092e10e000+3ba000]
Apr 16 10:05:01 kernel: traps: polkitd[30107] general protection ip:7fbf747c6de2 sp:7fff17bdb0f0 error:0 in libmozjs-17.0.so[7fbf74687000+3ba000]
Apr 16 15:55:01 kernel: traps: polkitd[8979] general protection ip:7f4f507dfde2 sp:7fff1afcb060 error:0 in libmozjs-17.0.so[7f4f506a0000+3ba000]
Apr 16 21:40:01 kernel: traps: polkitd[20238] general protection ip:7f294182cde2 sp:7ffc595ec440 error:0 in libmozjs-17.0.so[7f29416ed000+3ba000]
Apr 17 03:25:01 kernel: traps: polkitd[31387] general protection ip:7f8bcf60bde2 sp:7ffc68e2dcc0 error:0 in libmozjs-17.0.so[7f8bcf4cc000+3ba000]
Apr 17 09:15:02 kernel: traps: polkitd[10312] general protection ip:7fe7a9dc3de2 sp:7ffde46938a0 error:0 in libmozjs-17.0.so[7fe7a9c84000+3ba000]
Apr 21 04:50:02 kernel: traps: polkitd[32255] general protection ip:7fc405d7ade2 sp:7ffc0c01d2d0 error:0 in libmozjs-17.0.so[7fc405c3b000+3ba000]
Apr 28 04:30:02 kernel: traps: polkitd[28535] general protection ip:7f575b111de2 sp:7ffcc4d58fe0 error:0 in libmozjs-17.0.so[7f575afd2000+3ba000]
May  4 21:40:01 kernel: traps: polkitd[8769] general protection ip:7f52036e1de2 sp:7ffddf55ea30 error:0 in libmozjs-17.0.so[7f52035a2000+3ba000]
May  5 03:30:01 kernel: traps: polkitd[20566] general protection ip:7f048e9bfde2 sp:7ffdffc69350 error:0 in libmozjs-17.0.so[7f048e880000+3ba000]
May  5 09:20:01 kernel: traps: polkitd[31535] general protection ip:7f06e486ede2 sp:7ffd3211e780 error:0 in libmozjs-17.0.so[7f06e472f000+3ba000]
May  5 15:10:02 kernel: traps: polkitd[10373] general protection ip:7f46fefddde2 sp:7ffc00503810 error:0 in libmozjs-17.0.so[7f46fee9e000+3ba000]
May  5 21:10:02 kernel: traps: polkitd[21311] general protection ip:7f2b6a2aede2 sp:7ffda30e27b0 error:0 in libmozjs-17.0.so[7f2b6a16f000+3ba000]
May  6 02:35:01 kernel: traps: polkitd[32580] general protection ip:7efcc0216de2 sp:7fff3b7e75f0 error:0 in libmozjs-17.0.so[7efcc00d7000+3ba000]
May  6 08:25:02 kernel: traps: polkitd[11251] general protection ip:7f6e32de9de2 sp:7ffd64af4360 error:0 in libmozjs-17.0.so[7f6e32caa000+3ba000]
May  6 14:20:02 kernel: traps: polkitd[22267] general protection ip:7f7a92bd4de2 sp:7ffcad94e310 error:0 in libmozjs-17.0.so[7f7a92a95000+3ba000]
May  6 20:01:01 kernel: traps: polkitd[820] general protection ip:7faca4eb4de2 sp:7ffc7b95bbe0 error:0 in libmozjs-17.0.so[7faca4d75000+3ba000]
May  7 01:40:02 kernel: traps: polkitd[13238] general protection ip:7f8223a06de2 sp:7ffefe6a78e0 error:0 in libmozjs-17.0.so[7f82238c7000+3ba000]
May  7 07:35:02 kernel: traps: polkitd[24209] general protection ip:7f55e6d60de2 sp:7ffc7aee7a60 error:0 in libmozjs-17.0.so[7f55e6c21000+3ba000]
May  7 13:30:01 kernel: traps: polkitd[3047] general protection ip:7fc5b4bf9de2 sp:7fffba8a9ec0 error:0 in libmozjs-17.0.so[7fc5b4aba000+3ba000]
May  7 19:25:01 kernel: traps: polkitd[20040] general protection ip:7f35d65fbde2 sp:7ffcf8512e60 error:0 in libmozjs-17.0.so[7f35d64bc000+3ba000]
May  8 01:01:01 kernel: traps: polkitd[20389] general protection ip:7f6ffc980de2 sp:7fffbdefb290 error:0 in libmozjs-17.0.so[7f6ffc841000+3ba000]
May  8 06:55:02 kernel: traps: polkitd[31392] general protection ip:7fb0c9a94de2 sp:7ffc3f16c5a0 error:0 in libmozjs-17.0.so[7fb0c9955000+3ba000]
May  8 12:55:01 kernel: traps: polkitd[12114] general protection ip:7fa0dcb1bde2 sp:7fff1277b850 error:0 in libmozjs-17.0.so[7fa0dc9dc000+3ba000]
May  8 19:05:02 kernel: traps: polkitd[24822] general protection ip:7fa91bfb7de2 sp:7ffd625960e0 error:0 in libmozjs-17.0.so[7fa91be78000+3ba000]
May 11 22:35:01 kernel: traps: polkitd[1350] general protection ip:7ff25476bde2 sp:7fff1eee09f0 error:0 in libmozjs-17.0.so[7ff25462c000+3ba000]
May 13 14:55:02 kernel: traps: polkitd[1393] general protection ip:7f4d4ab8dde2 sp:7ffd9e7a7170 error:0 in libmozjs-17.0.so[7f4d4aa4e000+3ba000]
May 14 02:25:01 kernel: traps: polkitd[1547] general protection ip:7fd4e021fde2 sp:7ffd9fd4ce30 error:0 in libmozjs-17.0.so[7fd4e00e0000+3ba000]
May 14 14:15:02 kernel: traps: polkitd[29656] general protection ip:7f3be49d0de2 sp:7ffc6b175670 error:0 in libmozjs-17.0.so[7f3be4891000+3ba000]
May 14 21:15:01 kernel: traps: polkitd[19975] general protection ip:7fcd878cede2 sp:7fff1a7af1d0 error:0 in libmozjs-17.0.so[7fcd8778f000+3ba000]

Comment 64 Wes Hardaker 2015-05-22 14:43:41 UTC
(In reply to Kamil Dudka from comment #61)
> (In reply to Wes Hardaker from comment #60)
> > For me this is an even worse problem than just polkitd crashing.  A while
> > ago my whole system started hanging, which is normally a long running very
> > stable machine.
> 
> The same happened to me approx. 3 months ago but it was caused by the
> nouveau graphics card driver (bug #1205985).

I'm sure it's graphics driver related, but in my case it's the nvidia driver causing the issues I suspect.

Comment 65 Robert Hancock 2015-05-29 15:30:41 UTC
Version should be changed to 22, still occurring there:

[ 8097.368205] traps: polkitd[1041] general protection ip:7f5ea60fbde2 sp:7ffd7c0ac550 error:0 in libmozjs-17.0.so[7f5ea5fbc000+3ba000]
[19802.583274] traps: polkitd[10836] general protection ip:7fdf27787de2 sp:7ffff4207bb0 error:0 in libmozjs-17.0.so[7fdf27648000+3ba000]
[30606.545484] traps: polkitd[18903] general protection ip:7f0b817e5de2 sp:7fff3a374190 error:0 in libmozjs-17.0.so[7f0b816a6000+3ba000]
[42312.088783] traps: polkitd[26643] general protection ip:7f8744e28de2 sp:7ffc6e792bf0 error:0 in libmozjs-17.0.so[7f8744ce9000+3ba000]

Comment 66 Dr. David Alan Gilbert 2015-05-30 18:35:52 UTC
Robert: Interesting, I've not seen it since November; but that's also the point I moved away from KDE->xfce, so that adds some wait to it being an interaction with KDE's polkit usage; what are you running?

Comment 67 Robert Hancock 2015-05-30 23:48:02 UTC
Both of the machines I've seen this on are using GNOME.

Comment 69 Sergio Monteiro Basto 2015-06-24 03:32:14 UTC
abrt detects a new polkit [70856.295724] traps: polkitd[984] general protection  in libmozjs-17.0.so and duplicated to bug #1175061

Comment 70 Miloslav Trmač 2015-07-02 19:20:19 UTC
This should be finally fixed in polkit-0.113-1. Please reopen if you can still reproduce this (this exact crash).

Comment 71 Fedora Update System 2015-07-02 19:29:45 UTC
polkit-0.113-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/polkit-0.113-1.fc22

Comment 72 Fedora Update System 2015-07-02 19:31:57 UTC
polkit-0.113-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/polkit-0.113-1.fc21

Comment 73 Kamil Dudka 2015-07-02 20:54:24 UTC
(In reply to Miloslav Trmač from comment #70)
> This should be finally fixed in polkit-0.113-1.

Could you please reference the exact change that fixed it?

We have similar crash reports for elinks, which has nothing to do with polkit, but also needs to be fixed.

Comment 74 Fedora Update System 2015-07-03 18:38:51 UTC
Package polkit-0.113-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing polkit-0.113-1.fc22'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-11058/polkit-0.113-1.fc22
then log in and leave karma (feedback).

Comment 75 Miloslav Trmač 2015-07-03 19:22:29 UTC
(In reply to Kamil Dudka from comment #73)
> (In reply to Miloslav Trmač from comment #70)
> > This should be finally fixed in polkit-0.113-1.
> 
> Could you please reference the exact change that fixed it?
> 
> We have similar crash reports for elinks, which has nothing to do with
> polkit, but also needs to be fixed.

All the commits between 2015-06-18 and 2015-06-19 on http://cgit.freedesktop.org/polkit/log/ ; no single one was sufficient, at least.

Basically, “follow all the SpiderMonkey GC rules” (which Mozilla has …helpfully… removed from their wiki, at least as far as C code is concerned).

Comment 76 Fedora Update System 2015-07-13 19:08:31 UTC
polkit-0.113-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 77 Fedora Update System 2015-07-14 21:34:41 UTC
polkit-0.113-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/polkit-0.113-4.fc21

Comment 78 Fedora Update System 2015-07-21 08:23:17 UTC
polkit-0.113-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 79 zuogang 2015-12-09 07:31:43 UTC
on centos7 with mozjs17-17.0.0-10.el7.x86_64 and polkit-0.112-5.el7.x86_64.

the traps exist.

detailed info:

(gdb) bt
#0  js::ShapeTable::search (this=0x7fd254525f80, id=id@entry=140541334434592, adding=adding@entry=false)
    at /usr/src/debug/mozjs17.0.0/js/src/jsscope.cpp:163
#1  0x00007fd2597b3648 in search (adding=false, pspp=<synthetic pointer>, id=140541334434592, start=<optimized out>, 
    cx=0x7fd25441de48) at /usr/src/debug/mozjs17.0.0/js/src/jsscope.h:1085
#2  js::ObjectImpl::nativeLookup (this=<optimized out>, cx=cx@entry=0x7fd25c6d5590, id=140541334434592)
    at /usr/src/debug/mozjs17.0.0/js/src/vm/ObjectImpl.cpp:265
#3  0x00007fd2596ca9dc in LookupPropertyWithFlagsInline (propp=..., objp=..., flags=65535, id=..., obj=..., 
    cx=0x7fd25c6d5590) at /usr/src/debug/mozjs17.0.0/js/src/jsobj.cpp:4051
#4  js_GetPropertyHelperInline (vp=..., getHow=1, id_=<optimized out>, receiver=..., obj=..., cx=<optimized out>)
    at /usr/src/debug/mozjs17.0.0/js/src/jsobj.cpp:4277
#5  js::GetPropertyHelper (cx=0x7fd25c6d5590, obj=..., id=..., getHow=1, vp=...)
    at /usr/src/debug/mozjs17.0.0/js/src/jsobj.cpp:4365
#6  0x00007fd2596a70ee in js::Interpret (cx=0x7fd25c6d5590, entryFrame=<optimized out>, 
    interpMode=js::JSINTERP_NORMAL) at /usr/src/debug/mozjs17.0.0/js/src/jsinterpinlines.h:270
#7  0x00007fd2596ac74d in js::RunScript (cx=0x7fd25c6d5590, script=<optimized out>, fp=0x7fd254e80068)
    at /usr/src/debug/mozjs17.0.0/js/src/jsinterp.cpp:309
#8  0x00007fd2596ac9c9 in js::InvokeKernel (cx=0x7fd25c6d5590, args=..., construct=js::NO_CONSTRUCT)
    at /usr/src/debug/mozjs17.0.0/js/src/jsinterp.cpp:363
#9  0x00007fd2596acd15 in js::Invoke (cx=0x7fd25c6d5590, thisv=..., fval=..., argc=3, argv=0x7fff80242530, 
    rval=0x7fff80242520) at /usr/src/debug/mozjs17.0.0/js/src/jsinterp.h:119
#10 0x00007fd25961855a in JS_CallFunctionName (cx=0x7fd25c6d5590, objArg=<optimized out>, 
    name=name@entry=0x7fd25ad3b3ab "_runRules", argc=argc@entry=3, argv=argv@entry=0x7fff80242530, 
    rval=rval@entry=0x7fff80242520) at /usr/src/debug/mozjs17.0.0/js/src/jsapi.cpp:5837
#11 0x00007fd25ad3271d in call_js_function_with_runaway_killer (rval=0x7fff80242520, argv=0x7fff80242530, argc=3, 
    function_name=0x7fd25ad3b3ab "_runRules", authority=0x7fd25c6a68d0 [PolkitBackendJsAuthority])
    at polkitbackendjsauthority.c:1019
#12 polkit_backend_js_authority_check_authorization_sync (_authority=<optimized out>, caller=<optimized out>, 
    subject=0x7fd248017b50, user_for_subject=0x7fd248017a30, subject_is_local=0, subject_is_active=1, 
    action_id=0x7fd25cb61473 "org.freedesktop.NetworkManager.sleep-wake", details=0x7fd25ca4a580 [PolkitDetails], 
    implicit=POLKIT_IMPLICIT_AUTHORIZATION_NOT_AUTHORIZED) at polkitbackendjsauthority.c:1180
#13 0x00007fd25ad3681d in check_authorization_sync (
    authority=authority@entry=0x7fd25c6a68d0 [PolkitBackendJsAuthority], caller=caller@entry=0x7fd25cb06160, 
    subject=subject@entry=0x7fd248017b50, 
    action_id=action_id@entry=0x7fd25cb61473 "org.freedesktop.NetworkManager.sleep-wake", 
---Type <return> to continue, or q <return> to quit---
    details=details@entry=0x7fd25ca4a580 [PolkitDetails], flags=flags@entry=POLKIT_CHECK_AUTHORIZATION_FLAGS_NONE, 
    out_implicit_authorization=out_implicit_authorization@entry=0x7fff80242754, 
    checking_imply=checking_imply@entry=0, error=error@entry=0x7fff80242758)
    at polkitbackendinteractiveauthority.c:1131
#14 0x00007fd25ad371f0 in polkit_backend_interactive_authority_check_authorization (
    authority=0x7fd25c6a68d0 [PolkitBackendJsAuthority], caller=<optimized out>, subject=0x7fd248017b50, 
    action_id=0x7fd25cb61473 "org.freedesktop.NetworkManager.sleep-wake", details=0x7fd25ca4a580 [PolkitDetails], 
    flags=POLKIT_CHECK_AUTHORIZATION_FLAGS_NONE, cancellable=0x7fd248034a40 [GCancellable], 
    callback=0x7fd25ad2fcd0 <check_auth_cb>, user_data=0x7fd25cb561f0) at polkitbackendinteractiveauthority.c:952
#15 0x00007fd25ad301fa in server_handle_check_authorization (invocation=0x7fd25c7af350 [GDBusMethodInvocation], 
    caller=0x7fd25cb06160, parameters=0x8ef0be60e09df900, server=0x7fd25c6e1fc0) at polkitbackendauthority.c:787
#16 server_handle_method_call (connection=<optimized out>, sender=sender@entry=0x7fd248018af0 ":1.8", 
    object_path=object_path@entry=0x7fd248026870 "/org/freedesktop/PolicyKit1/Authority", 
    interface_name=interface_name@entry=0x7fd248011830 "org.freedesktop.PolicyKit1.Authority", 
    method_name=method_name@entry=0x7fd24803df80 "CheckAuthorization", parameters=parameters@entry=0x7fd24803ab00, 
    invocation=invocation@entry=0x7fd25c7af350 [GDBusMethodInvocation], user_data=user_data@entry=0x7fd25c6e1fc0)
    at polkitbackendauthority.c:1214
#17 0x00007fd25a63cc61 in call_in_idle_cb (user_data=0x7fd25c7af350) at gdbusconnection.c:4875
#18 0x00007fd25a03799a in g_main_dispatch (context=0x7fd25c6aeab0) at gmain.c:3061
#19 g_main_context_dispatch (context=context@entry=0x7fd25c6aeab0) at gmain.c:3660
#20 0x00007fd25a037ce8 in g_main_context_iterate (context=0x7fd25c6aeab0, block=block@entry=1, 
    dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3731
#21 0x00007fd25a037fba in g_main_loop_run (loop=0x7fd25c6e5160) at gmain.c:3925
#22 0x00007fd25ad2f4b5 in main (argc=1, argv=0x7fff80242c28) at polkitd.c:236

(gdb) info r
rax            0x72006502e9dd05	32088581185592581
rbx            0x7fd25441de48	140541333462600
rcx            0x48	72
rdx            0x0	0
rsi            0x7fd25450b320	140541334434592
rdi            0x7fd254525f80	140541334544256
rbp            0x7fd25450b320	0x7fd25450b320
rsp            0x7fff80241e20	0x7fff80241e20
r8             0x4edb92	5168018
r9             0x4edb9220	1323012640
r10            0x72006500730075	32088581144248437
r11            0x48	72
r12            0x7fff80241e80	140735343238784
r13            0x7fff80241ed0	140735343238864
r14            0xffff	65535
r15            0x35	53
rip            0x7fd2597b3648	0x7fd2597b3648 <js::ObjectImpl::nativeLookup(JSContext*, long)+40>
eflags         0x10202	[ IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
(gdb) 

Shape **
ShapeTable::search(jsid id, bool adding)
{
    js::HashNumber hash0, hash1, hash2;
    int sizeLog2;
    Shape *stored, *shape, **spp, **firstRemoved;
    uint32_t sizeMask;

    JS_ASSERT(entries);
    JS_ASSERT(!JSID_IS_EMPTY(id));

    /* Compute the primary hash address. */
    hash0 = HashId(id);
    hash1 = HASH1(hash0, hashShift);
    spp = entries + hash1;

    /* Miss: return space for a new entry. */
    stored = *spp;//###############################the spp 's val is errous or corrupted.
    if (SHAPE_IS_FREE(stored))
        return spp;

[root@localhost armel]# cat /proc/17233/maps
7fd234000000-7fd234022000 rw-p 00000000 00:00 0 
7fd234022000-7fd238000000 ---p 00000000 00:00 0 
7fd23c000000-7fd23c021000 rw-p 00000000 00:00 0 
7fd23c021000-7fd240000000 ---p 00000000 00:00 0 
7fd240000000-7fd240021000 rw-p 00000000 00:00 0 
7fd240021000-7fd244000000 ---p 00000000 00:00 0 
7fd246ffe000-7fd246fff000 ---p 00000000 00:00 0 
7fd246fff000-7fd2477ff000 rw-p 00000000 00:00 0 
7fd2477ff000-7fd247800000 ---p 00000000 00:00 0 
7fd247800000-7fd248000000 rw-p 00000000 00:00 0                          [stack:17238]
7fd248000000-7fd248050000 rw-p 00000000 00:00 0 
7fd248050000-7fd24c000000 ---p 00000000 00:00 0 
7fd24c000000-7fd24c021000 rw-p 00000000 00:00 0 
7fd24c021000-7fd250000000 ---p 00000000 00:00 0 
7fd250000000-7fd250021000 rw-p 00000000 00:00 0 
7fd250021000-7fd254000000 ---p 00000000 00:00 0 
7fd254300000-7fd254600000 rw-p 00000000 00:00 0 
7fd25467f000-7fd254680000 ---p 00000000 00:00 0 
7fd254680000-7fd255280000 rw-p 00000000 00:00 0                          [stack:17237]
7fd255280000-7fd255281000 ---p 00000000 00:00 0 
7fd255281000-7fd255a81000 rw-p 00000000 00:00 0                          [stack:17236]
7fd255a81000-7fd255a82000 ---p 00000000 00:00 0 
7fd255a82000-7fd256282000 rw-p 00000000 00:00 0                          [stack:17235]
7fd256282000-7fd256283000 ---p 00000000 00:00 0 
7fd256283000-7fd256a83000 rw-p 00000000 00:00 0                          [stack:17234]
7fd256a83000-7fd256a8b000 r-xp 00000000 fd:00 4300364846                 /usr/lib64/libnss_sss.so.2
7fd256a8b000-7fd256c8a000 ---p 00008000 fd:00 4300364846                 /usr/lib64/libnss_sss.so.2
7fd256c8a000-7fd256c8b000 r--p 00007000 fd:00 4300364846                 /usr/lib64/libnss_sss.so.2
7fd256c8b000-7fd256c8c000 rw-p 00008000 fd:00 4300364846                 /usr/lib64/libnss_sss.so.2
7fd256c8c000-7fd256c97000 r-xp 00000000 fd:00 4299007815                 /usr/lib64/libnss_files-2.17.so
7fd256c97000-7fd256e96000 ---p 0000b000 fd:00 4299007815                 /usr/lib64/libnss_files-2.17.so
7fd256e96000-7fd256e97000 r--p 0000a000 fd:00 4299007815                 /usr/lib64/libnss_files-2.17.so
7fd256e97000-7fd256e98000 rw-p 0000b000 fd:00 4299007815                 /usr/lib64/libnss_files-2.17.so
7fd256e98000-7fd256ebc000 r-xp 00000000 fd:00 4299007927                 /usr/lib64/liblzma.so.5.0.99
7fd256ebc000-7fd2570bb000 ---p 00024000 fd:00 4299007927                 /usr/lib64/liblzma.so.5.0.99
7fd2570bb000-7fd2570bc000 r--p 00023000 fd:00 4299007927                 /usr/lib64/liblzma.so.5.0.99
7fd2570bc000-7fd2570bd000 rw-p 00024000 fd:00 4299007927                 /usr/lib64/liblzma.so.5.0.99
7fd2570bd000-7fd25711c000 r-xp 00000000 fd:00 4299007929                 /usr/lib64/libpcre.so.1.2.0
7fd25711c000-7fd25731c000 ---p 0005f000 fd:00 4299007929                 /usr/lib64/libpcre.so.1.2.0
7fd25731c000-7fd25731d000 r--p 0005f000 fd:00 4299007929                 /usr/lib64/libpcre.so.1.2.0
7fd25731d000-7fd25731e000 rw-p 00060000 fd:00 4299007929                 /usr/lib64/libpcre.so.1.2.0
7fd25731e000-7fd25741f000 r-xp 00000000 fd:00 4299007805                 /usr/lib64/libm-2.17.so
7fd25741f000-7fd25761e000 ---p 00101000 fd:00 4299007805                 /usr/lib64/libm-2.17.so
7fd25761e000-7fd25761f000 r--p 00100000 fd:00 4299007805                 /usr/lib64/libm-2.17.so
7fd25761f000-7fd257620000 rw-p 00101000 fd:00 4299007805                 /usr/lib64/libm-2.17.so
7fd257620000-7fd257709000 r-xp 00000000 fd:00 4299007877                 /usr/lib64/libstdc++.so.6.0.19
7fd257709000-7fd257908000 ---p 000e9000 fd:00 4299007877                 /usr/lib64/libstdc++.so.6.0.19
7fd257908000-7fd257910000 r--p 000e8000 fd:00 4299007877                 /usr/lib64/libstdc++.so.6.0.19
7fd257910000-7fd257912000 rw-p 000f0000 fd:00 4299007877                 /usr/lib64/libstdc++.so.6.0.19
7fd257912000-7fd257927000 rw-p 00000000 00:00 0 
7fd257927000-7fd257960000 r-xp 00000000 fd:00 4309827583                 /usr/lib64/libnspr4.so
7fd257960000-7fd257b60000 ---p 00039000 fd:00 4309827583                 /usr/lib64/libnspr4.so
7fd257b60000-7fd257b61000 r--p 00039000 fd:00 4309827583                 /usr/lib64/libnspr4.so
7fd257b61000-7fd257b63000 rw-p 0003a000 fd:00 4309827583                 /usr/lib64/libnspr4.so
7fd257b63000-7fd257b65000 rw-p 00000000 00:00 0 
7fd257b65000-7fd257b69000 r-xp 00000000 fd:00 4309827586                 /usr/lib64/libplc4.so
7fd257b69000-7fd257d68000 ---p 00004000 fd:00 4309827586                 /usr/lib64/libplc4.so
7fd257d68000-7fd257d69000 r--p 00003000 fd:00 4309827586                 /usr/lib64/libplc4.so
7fd257d69000-7fd257d6a000 rw-p 00004000 fd:00 4309827586                 /usr/lib64/libplc4.so
7fd257d6a000-7fd257d6d000 r-xp 00000000 fd:00 4309827587                 /usr/lib64/libplds4.so
7fd257d6d000-7fd257f6c000 ---p 00003000 fd:00 4309827587                 /usr/lib64/libplds4.so
7fd257f6c000-7fd257f6d000 r--p 00002000 fd:00 4309827587                 /usr/lib64/libplds4.so
7fd257f6d000-7fd257f6e000 rw-p 00003000 fd:00 4309827587                 /usr/lib64/libplds4.so
7fd257f6e000-7fd257f83000 r-xp 00000000 fd:00 4298740072                 /usr/lib64/libgcc_s-4.8.3-20140911.so.1
7fd257f83000-7fd258182000 ---p 00015000 fd:00 4298740072                 /usr/lib64/libgcc_s-4.8.3-20140911.so.1
7fd258182000-7fd258183000 r--p 00014000 fd:00 4298740072                 /usr/lib64/libgcc_s-4.8.3-20140911.so.1
7fd258183000-7fd258184000 rw-p 00015000 fd:00 4298740072                 /usr/lib64/libgcc_s-4.8.3-20140911.so.1
7fd258184000-7fd25818b000 r-xp 00000000 fd:00 4299007827                 /usr/lib64/librt-2.17.so
7fd25818b000-7fd25838a000 ---p 00007000 fd:00 4299007827                 /usr/lib64/librt-2.17.so
7fd25838a000-7fd25838b000 r--p 00006000 fd:00 4299007827                 /usr/lib64/librt-2.17.so
7fd25838b000-7fd25838c000 rw-p 00007000 fd:00 4299007827                 /usr/lib64/librt-2.17.so
7fd25838c000-7fd2583a2000 r-xp 00000000 fd:00 4299007825                 /usr/lib64/libresolv-2.17.so
7fd2583a2000-7fd2585a2000 ---p 00016000 fd:00 4299007825                 /usr/lib64/libresolv-2.17.so
7fd2585a2000-7fd2585a3000 r--p 00016000 fd:00 4299007825                 /usr/lib64/libresolv-2.17.so
7fd2585a3000-7fd2585a4000 rw-p 00017000 fd:00 4299007825                 /usr/lib64/libresolv-2.17.so
7fd2585a4000-7fd2585a6000 rw-p 00000000 00:00 0 
7fd2585a6000-7fd2585c7000 r-xp 00000000 fd:00 4299007973                 /usr/lib64/libselinux.so.1
7fd2585c7000-7fd2587c7000 ---p 00021000 fd:00 4299007973                 /usr/lib64/libselinux.so.1
7fd2587c7000-7fd2587c8000 r--p 00021000 fd:00 4299007973                 /usr/lib64/libselinux.so.1
7fd2587c8000-7fd2587c9000 rw-p 00022000 fd:00 4299007973                 /usr/lib64/libselinux.so.1
7fd2587c9000-7fd2587cb000 rw-p 00000000 00:00 0 
7fd2587cb000-7fd2587e0000 r-xp 00000000 fd:00 4299007977                 /usr/lib64/libz.so.1.2.7
7fd2587e0000-7fd2589df000 ---p 00015000 fd:00 4299007977                 /usr/lib64/libz.so.1.2.7
7fd2589df000-7fd2589e0000 r--p 00014000 fd:00 4299007977                 /usr/lib64/libz.so.1.2.7
7fd2589e0000-7fd2589e1000 rw-p 00015000 fd:00 4299007977                 /usr/lib64/libz.so.1.2.7
7fd2589e1000-7fd2589e4000 r-xp 00000000 fd:00 4299007803                 /usr/lib64/libdl-2.17.so
7fd2589e4000-7fd258be3000 ---p 00003000 fd:00 4299007803                 /usr/lib64/libdl-2.17.so
7fd258be3000-7fd258be4000 r--p 00002000 fd:00 4299007803                 /usr/lib64/libdl-2.17.so
7fd258be4000-7fd258be5000 rw-p 00003000 fd:00 4299007803                 /usr/lib64/libdl-2.17.so
7fd258be5000-7fd258bec000 r-xp 00000000 fd:00 4299008821                 /usr/lib64/libffi.so.6.0.1
7fd258bec000-7fd258deb000 ---p 00007000 fd:00 4299008821                 /usr/lib64/libffi.so.6.0.1
7fd258deb000-7fd258dec000 r--p 00006000 fd:00 4299008821                 /usr/lib64/libffi.so.6.0.1
7fd258dec000-7fd258ded000 rw-p 00007000 fd:00 4299008821                 /usr/lib64/libffi.so.6.0.1
7fd258ded000-7fd258df0000 r-xp 00000000 fd:00 4299008831                 /usr/lib64/libgmodule-2.0.so.0.4000.0
7fd258df0000-7fd258fef000 ---p 00003000 fd:00 4299008831                 /usr/lib64/libgmodule-2.0.so.0.4000.0
7fd258fef000-7fd258ff0000 r--p 00002000 fd:00 4299008831                 /usr/lib64/libgmodule-2.0.so.0.4000.0
7fd258ff0000-7fd258ff1000 rw-p 00003000 fd:00 4299008831                 /usr/lib64/libgmodule-2.0.so.0.4000.0
7fd258ff1000-7fd2591a7000 r-xp 00000000 fd:00 4299007797                 /usr/lib64/libc-2.17.so
7fd2591a7000-7fd2593a7000 ---p 001b6000 fd:00 4299007797                 /usr/lib64/libc-2.17.so
7fd2593a7000-7fd2593ab000 r--p 001b6000 fd:00 4299007797                 /usr/lib64/libc-2.17.so
7fd2593ab000-7fd2593ad000 rw-p 001ba000 fd:00 4299007797                 /usr/lib64/libc-2.17.so
7fd2593ad000-7fd2593b2000 rw-p 00000000 00:00 0 
7fd2593b2000-7fd2593c8000 r-xp 00000000 fd:00 4299007823                 /usr/lib64/libpthread-2.17.so
7fd2593c8000-7fd2595c8000 ---p 00016000 fd:00 4299007823                 /usr/lib64/libpthread-2.17.so
7fd2595c8000-7fd2595c9000 r--p 00016000 fd:00 4299007823                 /usr/lib64/libpthread-2.17.so
7fd2595c9000-7fd2595ca000 rw-p 00017000 fd:00 4299007823                 /usr/lib64/libpthread-2.17.so
7fd2595ca000-7fd2595ce000 rw-p 00000000 00:00 0 
7fd2595ce000-7fd259981000 r-xp 00000000 fd:00 4299023333                 /usr/lib64/libmozjs-17.0.so
7fd259981000-7fd259b80000 ---p 003b3000 fd:00 4299023333                 /usr/lib64/libmozjs-17.0.so
7fd259b80000-7fd259b85000 r--p 003b2000 fd:00 4299023333                 /usr/lib64/libmozjs-17.0.so
7fd259b85000-7fd259b97000 rw-p 003b7000 fd:00 4299023333                 /usr/lib64/libmozjs-17.0.so
7fd259b97000-7fd259bb7000 rw-p 00000000 00:00 0 
7fd259bb7000-7fd259bde000 r-xp 00000000 fd:00 4299008483                 /usr/lib64/libexpat.so.1.6.0
7fd259bde000-7fd259dde000 ---p 00027000 fd:00 4299008483                 /usr/lib64/libexpat.so.1.6.0
7fd259dde000-7fd259de0000 r--p 00027000 fd:00 4299008483                 /usr/lib64/libexpat.so.1.6.0
7fd259de0000-7fd259de1000 rw-p 00029000 fd:00 4299008483                 /usr/lib64/libexpat.so.1.6.0
7fd259de1000-7fd259ded000 r-xp 00000000 fd:00 4300666791                 /usr/lib64/libsystemd-login.so.0.9.1
7fd259ded000-7fd259fec000 ---p 0000c000 fd:00 4300666791                 /usr/lib64/libsystemd-login.so.0.9.1
7fd259fec000-7fd259fed000 r--p 0000b000 fd:00 4300666791                 /usr/lib64/libsystemd-login.so.0.9.1
7fd259fed000-7fd259fee000 rw-p 0000c000 fd:00 4300666791                 /usr/lib64/libsystemd-login.so.0.9.1
7fd259fee000-7fd25a11f000 r-xp 00000000 fd:00 4299008829                 /usr/lib64/libglib-2.0.so.0.4000.0
7fd25a11f000-7fd25a31e000 ---p 00131000 fd:00 4299008829                 /usr/lib64/libglib-2.0.so.0.4000.0
7fd25a31e000-7fd25a31f000 r--p 00130000 fd:00 4299008829                 /usr/lib64/libglib-2.0.so.0.4000.0
7fd25a31f000-7fd25a320000 rw-p 00131000 fd:00 4299008829                 /usr/lib64/libglib-2.0.so.0.4000.0
7fd25a320000-7fd25a321000 rw-p 00000000 00:00 0 
7fd25a321000-7fd25a36f000 r-xp 00000000 fd:00 4299008833                 /usr/lib64/libgobject-2.0.so.0.4000.0
7fd25a36f000-7fd25a56f000 ---p 0004e000 fd:00 4299008833                 /usr/lib64/libgobject-2.0.so.0.4000.0
7fd25a56f000-7fd25a570000 r--p 0004e000 fd:00 4299008833                 /usr/lib64/libgobject-2.0.so.0.4000.0
7fd25a570000-7fd25a571000 rw-p 0004f000 fd:00 4299008833                 /usr/lib64/libgobject-2.0.so.0.4000.0
7fd25a571000-7fd25a6de000 r-xp 00000000 fd:00 4299008827                 /usr/lib64/libgio-2.0.so.0.4000.0
7fd25a6de000-7fd25a8dd000 ---p 0016d000 fd:00 4299008827                 /usr/lib64/libgio-2.0.so.0.4000.0
7fd25a8dd000-7fd25a8e1000 r--p 0016c000 fd:00 4299008827                 /usr/lib64/libgio-2.0.so.0.4000.0
7fd25a8e1000-7fd25a8e3000 rw-p 00170000 fd:00 4299008827                 /usr/lib64/libgio-2.0.so.0.4000.0
7fd25a8e3000-7fd25a8e5000 rw-p 00000000 00:00 0 
7fd25a8e5000-7fd25a900000 r-xp 00000000 fd:00 4299795086                 /usr/lib64/libpolkit-gobject-1.so.0.0.0
7fd25a900000-7fd25ab00000 ---p 0001b000 fd:00 4299795086                 /usr/lib64/libpolkit-gobject-1.so.0.0.0
7fd25ab00000-7fd25ab01000 r--p 0001b000 fd:00 4299795086                 /usr/lib64/libpolkit-gobject-1.so.0.0.0
7fd25ab01000-7fd25ab02000 rw-p 00000000 00:00 0 
7fd25ab02000-7fd25ab23000 r-xp 00000000 fd:00 4299007790                 /usr/lib64/ld-2.17.so
7fd25ac5f000-7fd25ad04000 rw-p 00000000 00:00 0 
7fd25ad1a000-7fd25ad1b000 rw-p 00000000 00:00 0 
7fd25ad1b000-7fd25ad22000 r--s 00000000 fd:00 6442545336                 /usr/lib64/gconv/gconv-modules.cache
7fd25ad22000-7fd25ad23000 rw-p 00000000 00:00 0 
7fd25ad23000-7fd25ad24000 r--p 00021000 fd:00 4299007790                 /usr/lib64/ld-2.17.so
7fd25ad24000-7fd25ad25000 rw-p 00022000 fd:00 4299007790                 /usr/lib64/ld-2.17.so
7fd25ad25000-7fd25ad26000 rw-p 00000000 00:00 0 
7fd25ad26000-7fd25ad40000 r-xp 00000000 fd:00 6442854450                 /usr/lib/polkit-1/polkitd
7fd25af40000-7fd25af41000 r--p 0001a000 fd:00 6442854450                 /usr/lib/polkit-1/polkitd
7fd25af41000-7fd25af42000 rw-p 0001b000 fd:00 6442854450                 /usr/lib/polkit-1/polkitd
7fd25c696000-7fd25cbb6000 rw-p 00000000 00:00 0                          [heap]
7fff80223000-7fff80244000 rw-p 00000000 00:00 0                          [stack]
7fff8032f000-7fff80331000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
[root@localhost armel]#

Comment 80 zuogang 2015-12-09 07:51:51 UTC
in fc23 (with the pkg version polkit-0.113-4.fc23 and mozjs17-17.0.0-14.fc23) there is no the traps, but I use the xfce desktop not the gnome.

and I see the newest src code of mozjs17-17.0.0-14.fc23, there are no any modified codes about the bug , besides some modified for aarch64.

Comment 81 zuogang 2015-12-11 02:08:32 UTC
I have upgrade the two pkgs version from mozjs17-17.0.0-10.el7.x86_64 and polkit-0.112-5.el7.x86_64 to fc23's polkit-0.113-4.fc23 and mozjs17-17.0.0-14.fc23, almost 24 hours the traps hadn't come, before the upgrading every 2 or 3 hours one time.

so it is clear that the bug has been corrected on the newest version, and the bug is some opers in pkg polkit will modfied the pkg mozjs17's heap mem (a class's object's var member) by mistake.


Note You need to log in before you can comment on or make changes to this bug.